update to gawk-3.1.2
This commit is contained in:
parent
f98fb61fab
commit
26f883bd85
@ -1,8 +1,8 @@
|
||||
# $OpenBSD: Makefile,v 1.4 2002/09/17 15:22:26 wilfried Exp $
|
||||
# $OpenBSD: Makefile,v 1.5 2003/04/02 08:37:48 wilfried Exp $
|
||||
|
||||
COMMENT= "GNU awk"
|
||||
|
||||
DISTNAME= gawk-3.1.1
|
||||
DISTNAME= gawk-3.1.2
|
||||
CATEGORIES= lang
|
||||
|
||||
HOMEPAGE= http://www.gnu.org/software/gawk/gawk.html
|
||||
|
@ -1,3 +1,3 @@
|
||||
MD5 (gawk-3.1.1.tar.gz) = 47e3754195bf32c8b78ad632bab903cd
|
||||
RMD160 (gawk-3.1.1.tar.gz) = 3b7a13d6a2b79da95ff8e4c52a0fedd32ffc73bf
|
||||
SHA1 (gawk-3.1.1.tar.gz) = 0cdfff32cebd43519dc6027424b74439d98cc5db
|
||||
MD5 (gawk-3.1.2.tar.gz) = 6d14f3c95669ace8c6aee2a96ba4eed7
|
||||
RMD160 (gawk-3.1.2.tar.gz) = 3a203d38e001170b474377f0865ad32f96af77c2
|
||||
SHA1 (gawk-3.1.2.tar.gz) = c6047a7b09ffd02462ab1d98cd4a5a5bec4c355b
|
||||
|
@ -1,96 +0,0 @@
|
||||
$OpenBSD: patch-awklib_eg_prog_igawk_sh,v 1.1.1.1 2002/02/12 15:45:45 wilfried Exp $
|
||||
--- awklib/eg/prog/igawk.sh.orig Sun May 13 17:42:06 2001
|
||||
+++ awklib/eg/prog/igawk.sh Tue Feb 12 11:37:36 2002
|
||||
@@ -4,13 +4,25 @@
|
||||
# Arnold Robbins, arnold@gnu.org, Public Domain
|
||||
# July 1993
|
||||
|
||||
+# Temporary file handling modifications for Owl by
|
||||
+# Jarno Huuskonen and Solar Designer, still Public Domain
|
||||
+# May 2001
|
||||
+
|
||||
+if [ ! -x /usr/bin/mktemp ]; then
|
||||
+ echo "$0 needs mktemp to create temporary files."
|
||||
+ exit 1
|
||||
+fi
|
||||
+
|
||||
+STEMPFILE=`/usr/bin/mktemp $@{TMPDIR:-/tmp@}/igawk.s.XXXXXX` || exit 1
|
||||
+ETEMPFILE=`/usr/bin/mktemp $@{TMPDIR:-/tmp@}/igawk.e.XXXXXX` || exit 1
|
||||
+
|
||||
if [ "$1" = debug ]
|
||||
then
|
||||
set -x
|
||||
shift
|
||||
else
|
||||
# cleanup on exit, hangup, interrupt, quit, termination
|
||||
- trap 'rm -f /tmp/ig.[se].$$' 0 1 2 3 15
|
||||
+ trap 'rm -f $STEMPFILE $ETEMPFILE' EXIT HUP INT QUIT TERM
|
||||
fi
|
||||
|
||||
while [ $# -ne 0 ] # loop over arguments
|
||||
@@ -27,26 +39,26 @@ do
|
||||
|
||||
-[vF]*) opts="$opts '$1'" ;;
|
||||
|
||||
- -f) echo @include "$2" >> /tmp/ig.s.$$
|
||||
+ -f) echo @include "$2" >> $STEMPFILE
|
||||
shift;;
|
||||
|
||||
-f*) f=`echo "$1" | sed 's/-f//'`
|
||||
- echo @include "$f" >> /tmp/ig.s.$$ ;;
|
||||
+ echo @include "$f" >> $STEMPFILE ;;
|
||||
|
||||
-?file=*) # -Wfile or --file
|
||||
f=`echo "$1" | sed 's/-.file=//'`
|
||||
- echo @include "$f" >> /tmp/ig.s.$$ ;;
|
||||
+ echo @include "$f" >> $STEMPFILE ;;
|
||||
|
||||
-?file) # get arg, $2
|
||||
- echo @include "$2" >> /tmp/ig.s.$$
|
||||
+ echo @include "$2" >> $STEMPFILE
|
||||
shift;;
|
||||
|
||||
-?source=*) # -Wsource or --source
|
||||
t=`echo "$1" | sed 's/-.source=//'`
|
||||
- echo "$t" >> /tmp/ig.s.$$ ;;
|
||||
+ echo "$t" >> $STEMPFILE ;;
|
||||
|
||||
-?source) # get arg, $2
|
||||
- echo "$2" >> /tmp/ig.s.$$
|
||||
+ echo "$2" >> $STEMPFILE
|
||||
shift;;
|
||||
|
||||
-?version)
|
||||
@@ -61,19 +73,19 @@ do
|
||||
shift
|
||||
done
|
||||
|
||||
-if [ ! -s /tmp/ig.s.$$ ]
|
||||
+if [ ! -s $STEMPFILE ]
|
||||
then
|
||||
if [ -z "$1" ]
|
||||
then
|
||||
echo igawk: no program! 1>&2
|
||||
exit 1
|
||||
else
|
||||
- echo "$1" > /tmp/ig.s.$$
|
||||
+ echo "$1" > $STEMPFILE
|
||||
shift
|
||||
fi
|
||||
fi
|
||||
|
||||
-# at this point, /tmp/ig.s.$$ has the program
|
||||
+# at this point, $STEMPFILE has the program
|
||||
gawk -- '
|
||||
# process @include directives
|
||||
|
||||
@@ -124,7 +136,7 @@ BEGIN {
|
||||
}
|
||||
close(input[stackptr])
|
||||
}
|
||||
-}' /tmp/ig.s.$$ > /tmp/ig.e.$$
|
||||
-eval gawk -f /tmp/ig.e.$$ $opts -- "$@"
|
||||
+}' $STEMPFILE > $ETEMPFILE
|
||||
+eval gawk -f $ETEMPFILE $opts -- "$@"
|
||||
|
||||
exit $?
|
51
lang/gawk/patches/patch-configure
Normal file
51
lang/gawk/patches/patch-configure
Normal file
@ -0,0 +1,51 @@
|
||||
$OpenBSD: patch-configure,v 1.1 2003/04/02 08:37:48 wilfried Exp $
|
||||
--- configure.orig Sun Mar 16 11:25:37 2003
|
||||
+++ configure Wed Apr 2 10:17:42 2003
|
||||
@@ -6461,9 +6461,9 @@ fi;
|
||||
found_so=
|
||||
found_a=
|
||||
if test $use_additional = yes; then
|
||||
- if test -n "$shlibext" && test -f "$additional_libdir/lib$name.$shlibext"; then
|
||||
+ if test -n "$shlibext" && test -f "$additional_libdir/lib$name.$shlibext"*; then
|
||||
found_dir="$additional_libdir"
|
||||
- found_so="$additional_libdir/lib$name.$shlibext"
|
||||
+ found_so="-l$name"
|
||||
if test -f "$additional_libdir/lib$name.la"; then
|
||||
found_la="$additional_libdir/lib$name.la"
|
||||
fi
|
||||
@@ -6491,9 +6491,9 @@ fi;
|
||||
case "$x" in
|
||||
-L*)
|
||||
dir=`echo "X$x" | sed -e 's/^X-L//'`
|
||||
- if test -n "$shlibext" && test -f "$dir/lib$name.$shlibext"; then
|
||||
+ if test -n "$shlibext" && test -f "$dir/lib$name.$shlibext"*; then
|
||||
found_dir="$dir"
|
||||
- found_so="$dir/lib$name.$shlibext"
|
||||
+ found_so="-l$name"
|
||||
if test -f "$dir/lib$name.la"; then
|
||||
found_la="$dir/lib$name.la"
|
||||
fi
|
||||
@@ -7593,9 +7593,9 @@ fi;
|
||||
found_so=
|
||||
found_a=
|
||||
if test $use_additional = yes; then
|
||||
- if test -n "$shlibext" && test -f "$additional_libdir/lib$name.$shlibext"; then
|
||||
+ if test -n "$shlibext" && test -f "$additional_libdir/lib$name.$shlibext"*; then
|
||||
found_dir="$additional_libdir"
|
||||
- found_so="$additional_libdir/lib$name.$shlibext"
|
||||
+ found_so="-l$name"
|
||||
if test -f "$additional_libdir/lib$name.la"; then
|
||||
found_la="$additional_libdir/lib$name.la"
|
||||
fi
|
||||
@@ -7623,9 +7623,9 @@ fi;
|
||||
case "$x" in
|
||||
-L*)
|
||||
dir=`echo "X$x" | sed -e 's/^X-L//'`
|
||||
- if test -n "$shlibext" && test -f "$dir/lib$name.$shlibext"; then
|
||||
+ if test -n "$shlibext" && test -f "$dir/lib$name.$shlibext"*; then
|
||||
found_dir="$dir"
|
||||
- found_so="$dir/lib$name.$shlibext"
|
||||
+ found_so="-l$name"
|
||||
if test -f "$dir/lib$name.la"; then
|
||||
found_la="$dir/lib$name.la"
|
||||
fi
|
@ -1,17 +1,16 @@
|
||||
@comment $OpenBSD: PLIST,v 1.2 2002/05/15 08:02:52 wilfried Exp $
|
||||
@comment $OpenBSD: PLIST,v 1.3 2003/04/02 08:37:48 wilfried Exp $
|
||||
@unexec install-info --delete --info-dir=%D/info %D/info/gawk.info
|
||||
@unexec install-info --delete --info-dir=%D/info %D/info/gawkinet.info
|
||||
bin/gawk
|
||||
bin/igawk
|
||||
bin/pgawk
|
||||
@unexec install-info --delete --info-dir=%D/info %D/info/gawk.info
|
||||
@unexec install-info --delete --info-dir=%D/info %D/info/gawkinet.info
|
||||
info/gawk.info
|
||||
info/gawkinet.info
|
||||
@exec install-info --info-dir=%D/info %D/info/gawkinet.info
|
||||
@exec install-info --info-dir=%D/info %D/info/gawk.info
|
||||
libexec/awk/grcat
|
||||
libexec/awk/pwcat
|
||||
man/man1/gawk.1
|
||||
man/man1/igawk.1
|
||||
man/man1/pgawk.1
|
||||
share/awk/assert.awk
|
||||
share/awk/bits2str.awk
|
||||
share/awk/cliff_rand.awk
|
||||
@ -29,12 +28,35 @@ share/awk/passwd.awk
|
||||
share/awk/readable.awk
|
||||
share/awk/rewind.awk
|
||||
share/awk/round.awk
|
||||
share/locale/da/LC_MESSAGES/gawk.mo
|
||||
share/locale/de/LC_MESSAGES/gawk.mo
|
||||
share/locale/es/LC_MESSAGES/gawk.mo
|
||||
share/locale/fr/LC_MESSAGES/gawk.mo
|
||||
share/locale/he/LC_MESSAGES/gawk.mo
|
||||
share/locale/it/LC_MESSAGES/gawk.mo
|
||||
share/locale/pt_BR/LC_MESSAGES/gawk.mo
|
||||
share/locale/sv/LC_MESSAGES/gawk.mo
|
||||
share/locale/tr/LC_MESSAGES/gawk.mo
|
||||
@comment @dirrm share/locale/tr/LC_MESSAGES
|
||||
@comment @dirrm share/locale/tr
|
||||
@comment @dirrm share/locale/sv/LC_MESSAGES
|
||||
@comment @dirrm share/locale/sv
|
||||
@comment @dirrm share/locale/pt_BR/LC_MESSAGES
|
||||
@comment @dirrm share/locale/pt_BR
|
||||
@comment @dirrm share/locale/it/LC_MESSAGES
|
||||
@comment @dirrm share/locale/it
|
||||
@comment @dirrm share/locale/he/LC_MESSAGES
|
||||
@comment @dirrm share/locale/he
|
||||
@comment @dirrm share/locale/fr/LC_MESSAGES
|
||||
@comment @dirrm share/locale/fr
|
||||
@comment @dirrm share/locale/es/LC_MESSAGES
|
||||
@comment @dirrm share/locale/es
|
||||
@comment @dirrm share/locale/de/LC_MESSAGES
|
||||
@comment @dirrm share/locale/de
|
||||
@comment @dirrm share/locale/da/LC_MESSAGES
|
||||
@comment @dirrm share/locale/da
|
||||
@comment @dirrm share/locale
|
||||
@dirrm share/awk
|
||||
@dirrm libexec/awk
|
||||
@exec install-info --info-dir=%D/info %D/info/gawk.info
|
||||
@exec install-info --info-dir=%D/info %D/info/gawkinet.info
|
||||
|
Loading…
Reference in New Issue
Block a user